# PayNexus

## 目次

>1. [プロジェクトについて](#プロジェクトについて)
>2. [インストール方法](#インストール方法)
>3. [環境](#環境)
>4. [モジュールについて](#モジュールについて)

## プロジェクトについて

PythonからWayback Machineのアーカイブ（サイト）をダウンロードするモジュールです。<br>
>**ベースモジュール**<br>
**公式サイト**<br>
・[公式Github（使い方など）はこちら](https://github.com/harumaki4649/ArcDLNexus)


## インストール方法
>[こちらのPyPIパッケージ](https://pypi.org/project/ArcDLNexus/)を、
```pip install ArcDLNexus```
などのコマンドでインストールしてください。<br>
※お好みでバージョンを指定してください


## 環境

<!-- 言語、フレームワーク、ミドルウェア、インフラの一覧とバージョンを記載 -->

| 言語・フレームワーク  | バージョン |
| --------------------- | ---------- |
| Python                | 3.9.19     |

>モジュール（パッケージ）のバージョンは requirements.txt を参照してください

# モジュールについて
## タスク
 - [x] モジュールを公開する
<!--- 必須マーク : <span style="color:red">＊</span> -->
## ドキュメント
| 関数       | パラメータ                                                                                                                  | 説明                                                                                                                         |
|----------|------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| download | **phone** -- str: 電話番号<span style="color:red">＊</span>                                                                 | これは例外で関数ではなく、`Class`です。また、PayNexusを利用するために必要（Discord.pyでいう```discord.Client()```のようなものです）                                  |
|          | **password** -- str: パスワード<span style="color:red">＊</span>                                                             |                                                                                                                            |
|          | **client_uuid** -- str: ログイン済み`client_uuid `                                                                           | login関数を使用してログインすると既存のログイン時のjsonに加え、`client_uuid`が追加されて返ってくるのでそちらをここで指定します                                                 |
|          | **session_save** -- str: ファイルパス                                                                                        | ログイン情報を保存するためのファイルパスを指定、拡張子はお任せ                                                                                            | | 支払いのワンタイムコードを作成する(ホーム画面にあるあのバーコードとおなじ)                                                                                     |

## 使用例
```python
import ArcDLNexus

ArcDLNexus.download(url="https://web.archive.org/web/20240204090521/https://home.disnana.com/",
                         path="./recovery_archive/",
                         mode=2)

```

※タスクが完了していてもモジュールが更新されていない場合がございます（その際は時間を空けてご確認ください）
